Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

After installing Apache Ant on my computer, I get this error message when runing Eclipse:

A java Runtime Environment (JRE) or Java Development kit (JDK) must be available in order to run Eclipse. No Java virtual machine was found after searching the following locations: C:\eclipse\jre\javaw.exe javaw.exe in your current PATH

share|improve this question

2 Answers 2

You need to download and installed the Java Virtual Machine (JVM): http://www.java.com/

Sometimes the installers don't indicate if a reboot is required after installation. If it doesn't work right away after installation, then reboot and try again.

You can check if Java is installed by typing the following command at the DOS prompt: java -version

share|improve this answer

Installing Apache ANT probably involved changing your PATH - you may even have clobbered the original path and just set it to look at the PATH directory which you should undo - look under C:\Program Files\Java for installed JVMs and make sure they are in your path.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.